---
title: Range.setStartBefore()
slug: Web/API/Range/setStartBefore
tags:
  - API
  - DOM
  - Method
  - Range
---
<div>{{ApiRef("DOM")}}</div>

<p>The <strong><code>Range.setStartBefore()</code></strong> method sets the start position of a {{domxref("Range")}} relative to another {{domxref("Node")}}. The parent {{domxref("Node")}} of the start of the {{domxref("Range")}} will be the same as that for the <code>referenceNode</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>range</var>.setStartBefore(<em>referenceNode</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><em>referenceNode</em></dt>
 <dd>The {{domxref("Node")}} before which the {{domxref("Range")}} should start.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush:js">var range = document.createRange();
var referenceNode = document.getElementsByTagName("div").item(0);

range.setStartBefore(referenceNode);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-range-setstartbefore', 'Range.setStartBefore()')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>No change.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Traversal_Range', 'ranges.html#Level2-Range-setStartBefore', 'Range.setStartBefore()')}}</td>
   <td>{{Spec2('DOM2 Traversal_Range')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Range.setStartBefore")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/DOM/DOM_Reference">The DOM interfaces index</a></li>
</ul>
